ECOLLECT(1)

NAME
ecollect - list NCBI Entrez unique identifiers

SYNOPSIS
ecollect -db name -web str -key N [-days|-reldate N] [-datetype field] [-mindate date] [-maxdate date]

ecollect -db name -query str [-days|-reldate N] [-datetype field] [-mindate date] [-maxdate date]

ecollect -db name -id str...|-rest str|-input file

DESCRIPTION
ecollect lists unique identifiers from NCBI Entrez, either corresponding to a live query or explicitly supplied. In either case, it presents them one per line in numerical order with any duplicates consolidated.

OPTIONS

  Source Specification

-db name
    Entrez database name. Mandatory even when explicitly supplying UIDs.

-web str
    NCBI WebEnv value corresponding to a previous query, optionally subject to further filtering by date.

-key N
    That query's number.

-query str
    Query string.

-id str ...|-rest str
    Existing UID(s) to format; may be internally delimited by whitespace and any punctuation other than . or _.

-input file
    Read UIDs from the specified file.

  Date Constraint

-days|-reldate N
    Return only results from the past N days.

-datetype field
    Which date field (in abbreviated form) to consider.

-mindate date
    Start of date range.

-maxdate date
    End of date range.

SEE ALSO
cit2pmid(1), combine-uid-lists(1), difference-uid-lists(1), efetch(1), efilter(1), elink(1), esearch(1), exclude-uid-lists(1), intersect-uid-lists(1), nquire(1), xfetch(1), xfilter(1), xlink(1), xsearch(1).